
Redmine - Defect #11185

Redmine fails to delete a project with parent/child task

2012-06-17 20:26 - Maxim Karvonen

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version: 2.0.3   

Resolution: Fixed Affected version: 2.0.2

Description

Redmine fails to delete a project with misleading error message

Steps to reproduce:

1. Create a new project

2. Create issue and remember it's number

3. Create another issue with parent issue from step 2

4. Go to admin page

5. Try to delete a project

What expected:

Project is deleted (as in redmine 1.4.3)

What happens:

Redmine shows a page with following content:

"Page not found

The page you were trying to access doesn't exist or has been removed.

Back"

Logs:

Started DELETE "/redmine/projects/parentchildtest" for * at Sun Jun 17 11:14:36 -0700 2012

Processing by ProjectsController#destroy as HTML

Parameters: {"authenticity_token"=>"*", "id"=>"parentchildtest"}

Rendered projects/destroy.html.erb within layouts/base (9.8ms)

Completed 200 OK in 84ms (Views: 62.7ms | ActiveRecord: 8.9ms)

Started DELETE "/redmine/projects/parentchildtest" for * at Sun Jun 17 11:14:39 -0700 2012

Processing by ProjectsController#destroy as HTML

Parameters: {"commit"=>"Delete", "authenticity_token"=>"*", "utf8"=>"✓", "id"=>"parentchildtest", "confirm"=>"1"}

Completed 500 Internal Server Error in 612ms

ActiveRecord::RecordNotFound (Couldn't find Issue with id=903):

lib/plugins/awesome_nested_set/lib/awesome_nested_set/awesome_nested_set.rb:485:in `reload_nested_set'

lib/plugins/awesome_nested_set/lib/awesome_nested_set/awesome_nested_set.rb:444:in `destroy_descendants'

lib/plugins/awesome_nested_set/lib/awesome_nested_set/awesome_nested_set.rb:426:in `in_tenacious_transaction'

lib/plugins/awesome_nested_set/lib/awesome_nested_set/awesome_nested_set.rb:443:in `destroy_descendants'

app/controllers/projects_controller.rb:231:in `destroy'

IP and auth token removed from log

Environment:

bitnami redmine 2.0.2 installed on bitnami stack 2.3.14-2.

Associated revisions

Revision 9858 - 2012-06-18 19:16 - Jean-Philippe Lang

Fixed that deleting a project with subtasks may fail (#11185).

History

#1 - 2012-06-17 20:27 - Alex Last
this is found by Redmine Java API auto-tests

#2 - 2012-06-18 19:16 - Jean-Philippe Lang

- Category set to Projects

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.0.3

- Resolution set to Fixed

Fixed in r9858.

#3 - 2012-06-18 20:36 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 1.4 and 2.0.
